LINUX.ORG.RU

Ошибка apt-get dist-upgrade до wheezy

 ,


1

1

Обновляюсь с шестёрки на семёрку, ловлю такую дрянь:

dpkg: не удалось обработать параметр /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb (--unpack):
 файл триггеров ci содержит неизвестную директиву «interest-noawait»
configured to not write apport reports
                                      При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Как это разруливается в вашем дебиане?

★★★★★

Обнови сначала dpkg и прочие потроха. //Мде, разве нельзя делать это автоматически?

anonymous ()
Ответ на: комментарий от Solace

Как это разруливать - показывают в 3-ей строчке поиска Гугла.

Не показывают.

Axon ★★★★★ ()
Ответ на: комментарий от Axon

Ну значит у тебя релиз не stable, а testing по умолчанию стоит и притянуло тебе install-info от туда :)

Dron ★★★★★ ()
Ответ на: комментарий от Axon

Брал не брал, но по факту наличие есть. А даунгрейд не поддерживается :}

Deleted ()

Приавильный ответ:

http://bureado.com/

For years I’ve used unstable on my personal laptop. The only problem with using unstable is that the upgrade paths are fuzzy, and if you can catch up with the upgrades (because you’ve been user other system, or you’ve been travelling, or you’ve been relying on the APT cache because you don’t have much disk space and/or bad connectivity) then you are basically on your own.

While dist-upgrade’ing this week, I got into a dpkg hard stop because the trigger contained an unknown ‘interest-noawait’ directive. If you are a Debian head then the solution is as clear and straigthforward to you as it was to me: install the newest dpkg first. Enjoy sid. Even if it eats your dog. See below:

bureado@oersted:~$ sudo dpkg -i /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb (Leyendo la base de datos … 265182 ficheros o directorios instalados actualmente.) Preparando para reemplazar install-info 4.13a.dfsg.1-8 (usando …/install-info_5.1.dfsg.1-3_i386.deb) … dpkg: error al procesar /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb (–install): el fichero de disparadores ci contiene una directiva desconocida `interest-noawait’ Se encontraron errores al procesar: /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb

bureado@oersted:~$ sudo dpkg -i /var/cache/apt/archives/dpkg_1.16.10_i386.deb (Leyendo la base de datos … 265182 ficheros o directorios instalados actualmente.) Preparando para reemplazar dpkg 1.16.0.3 (usando …/archives/dpkg_1.16.10_i386.deb) … Desempaquetando el reemplazo de dpkg … Configurando dpkg (1.16.10) … Procesando disparadores para man-db …

bureado@oersted:~$ sudo dpkg -i /var/cache/apt/archives/install-info_5.1.dfsg.1-3_i386.deb (Leyendo la base de datos … 265194 ficheros o directorios instalados actualmente.) Preparando para reemplazar install-info 4.13a.dfsg.1-8 (usando …/install-info_5.1.dfsg.1-3_i386.deb) … Desempaquetando el reemplazo de install-info … Configurando install-info (5.1.dfsg.1-3) … install-info: warning: no info dir entry in `/usr/share/info/smbc.info.gz’ Procesando disparadores para man-db …

GNU-Ubuntu1204LTS ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.